/**
 * @license HEXE
 * Copyright (c) 2020-2024 Shivaji & Collaborators
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import React from 'react';
type HookFunction = () => any;
declare class HEXE {
    private hs;
    private ss;
    constructor();
    setHook(name: string, hookFunction: HookFunction): this;
    private putHooks;
    component(): React.FC;
    getHook(name: string): any;
}
declare const ReactHooksWrapper: React.FC<{}>;
declare const getHook: (name: string) => any, setHook: (name: string, hookFunction: HookFunction) => HEXE;
export { ReactHooksWrapper, getHook, setHook };
