import { AxiosInstance, AxiosRequestConfig, AxiosResponse, AxiosError } from 'axios';
interface AxiosConfigProps {
    baseURL: string;
    handleAuthError?: (axiosInstance: AxiosInstance, originalRequest: AxiosRequestConfig, err: AxiosError) => Promise<AxiosResponse>;
    timeout: number;
}
export declare const createPrivateInstance: ({ baseURL, handleAuthError, timeout }: AxiosConfigProps) => AxiosInstance;
interface AxiosNoAuthConfigProps {
    baseURL: string;
    timeout: number;
}
export declare const createPublicInstance: ({ baseURL, timeout }: AxiosNoAuthConfigProps) => AxiosInstance;
export {};
